Issue 28163

Summary: Impress: Inserting videos
Product: documentation Reporter: brat
Component: How ToAssignee: issues@documentation <issues>
Status: CLOSED FIXED QA Contact: issues@documentation <issues>
Severity: Trivial    
Priority: P3 CC: issues
Version: current   
Target Milestone: ---   
Hardware: All   
OS: All   
Issue Type: TASK Latest Confirmation in: ---
Developer Difficulty: ---

Description brat 2004-04-21 03:03:12 UTC
Inserting videos
Comment 1 zingale 2005-03-05 06:47:19 UTC
After many struggles, I finally got movies embedding into OOo beta candidate, on
both Redhat 8.0 and Fedora Core 2.  Getting JMF installed and working is very
tricky, as the instructions provided by Sun do not really work.  Here is a step
by step list of the install process for me, hopefully it would be helpful in
making a HOWTO.

This process works as described on FC2.

1. installed j2re and mozilla-j2re RPMs from Dag's repository
 
 
2. add java to path in .cshrc:
   setenv PATH /usr/lib/jre/bin/:$PATH
 
 
3. got JMF from:
   http://java.sun.com/products/java-media/jmf/2.1.1/download.html
 
 
4. installed JMF:
   sh ./jmf-2_1_1e-linux-i586.bin
 
   chown -R username:username JMF-2.1.1e
 
   as user, run $JMFHOME/bin/jmfinit
 
 
5. setup JMF environment (in .cshrc):
   setenv JMFHOME /home/username/JMF-2.1.1e/
   setenv CLASSPATH
$JMFHOME/lib/jmf.jar:$JMFHOME/lib/mediaplayer.jar:$JMFHOME/lib/multiplayer.jar
   setenv LD_LIBRARY_PATH $JMFHOME/lib:${LD_LIBRARY_PATH}
   setenv PATH ${PATH}:$JMFHOME/bin
 
   source .cshrc
 
 
6. now try running jmstudio in $JMFHOME/bin
   open up a MPEG-1 movie and ensure it plays
 
 
7. copy JMF/lib/* to  /usr/lib/jre/lib/ext
 
   This step is really essential -- things do not work at all without
   copying ALL the files into the jre directory.

   (Tried linking the JMF .so's into the /usr/lib/mozilla/plugin
   directory, but that didn't help.)
 
  
8.  tested Mozilla, going to
 
    http://java.sun.com/products/java-media/jmf/2.1.1/jmfdiagnostics.html
 
    make sure it says:
 
    JMF Version... 2.1.1e
   
    All Java Build
    Native Libraries Found
 
 
9.  got OOo beta and installed via RPMs (skipping suse-menus)
    rpm -Uvh openofficeorg*.rpm
 
 
10. ran openoffice.org and added JMFHOME/lib to classpath and exited
 
 
11. launch OOo again and try insert (cross fingers).
 
 
Now, I can insert MPEG-1 movies and some AVIs.  There is currently no control
over the movie, it just plays when you hit the slide.  You cannot obviously
restart the movie or make it loop.
Comment 2 zingale 2005-03-05 06:48:07 UTC
After many struggles, I finally got movies embedding into OOo beta candidate, on
both Redhat 8.0 and Fedora Core 2.  Getting JMF installed and working is very
tricky, as the instructions provided by Sun do not really work.  Here is a step
by step list of the install process for me, hopefully it would be helpful in
making a HOWTO.

This process works as described on FC2.

1. installed j2re and mozilla-j2re RPMs from Dag's repository
 
 
2. add java to path in .cshrc:
   setenv PATH /usr/lib/jre/bin/:$PATH
 
 
3. got JMF from:
   http://java.sun.com/products/java-media/jmf/2.1.1/download.html
 
 
4. installed JMF:
   sh ./jmf-2_1_1e-linux-i586.bin
 
   chown -R username:username JMF-2.1.1e
 
   as user, run $JMFHOME/bin/jmfinit
 
 
5. setup JMF environment (in .cshrc):
   setenv JMFHOME /home/username/JMF-2.1.1e/
   setenv CLASSPATH
$JMFHOME/lib/jmf.jar:$JMFHOME/lib/mediaplayer.jar:$JMFHOME/lib/multiplayer.jar
   setenv LD_LIBRARY_PATH $JMFHOME/lib:${LD_LIBRARY_PATH}
   setenv PATH ${PATH}:$JMFHOME/bin
 
   source .cshrc
 
 
6. now try running jmstudio in $JMFHOME/bin
   open up a MPEG-1 movie and ensure it plays
 
 
7. copy JMF/lib/* to  /usr/lib/jre/lib/ext
 
   This step is really essential -- things do not work at all without
   copying ALL the files into the jre directory.

   (Tried linking the JMF .so's into the /usr/lib/mozilla/plugin
   directory, but that didn't help.)
 
  
8.  tested Mozilla, going to
 
    http://java.sun.com/products/java-media/jmf/2.1.1/jmfdiagnostics.html
 
    make sure it says:
 
    JMF Version... 2.1.1e
   
    All Java Build
    Native Libraries Found
 
 
9.  got OOo beta and installed via RPMs (skipping suse-menus)
    rpm -Uvh openofficeorg*.rpm
 
 
10. ran openoffice.org and added JMFHOME/lib to classpath and exited
 
 
11. launch OOo again and try insert (cross fingers).
 
 
Now, I can insert MPEG-1 movies and some AVIs.  There is currently no control
over the movie, it just plays when you hit the slide.  You cannot obviously
restart the movie or make it loop.
Comment 3 Uwe Fischer 2010-04-19 08:55:27 UTC
This might be outdated by now.
If anyone wants to test and update the procedure - if needed at all - please add
a page to the Wiki at http://wiki.services.openoffice.org/wiki/Documentation/How_Tos
Comment 4 Uwe Fischer 2010-04-19 08:55:55 UTC
closed